/*
 * Galatea Dialog Manager:
 * (c)2003 Takuya NISHIMOTO (nishi@hil.t.u-tokyo.ac.jp)
 * $Id: IHttpResponseHtmlMaker.java,v 1.1 2006/11/20 01:13:35 nishi Exp $
 */

package galatea.httpserver;



public interface IHttpResponseHtmlMaker
{
	public String getDialogMonitorHtml();
	public String getDemoAppHtml();
	public String getResourceAsString(String path);
	public void addHttpAsyncResponseListener(IHttpAsyncResponseListener response);
}
